
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.endupdate.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.endupdate.EndupdateMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class EndupdateModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, EndupdateMod.MODID);
	public static final RegistryObject<CreativeModeTab> END_ITEMS = REGISTRY.register("end_items",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.endupdate.end_items")).icon(() -> new ItemStack(EndupdateModItems.ENDERITE_INGOT.get())).displayItems((parameters, tabData) -> {
				tabData.accept(EndupdateModItems.ENDERITE_UPGRADER.get());
				tabData.accept(EndupdateModItems.ENDERITE_INGOT.get());
			})

					.build());
	public static final RegistryObject<CreativeModeTab> ENDERITE_TOOLS = REGISTRY.register("enderite_tools",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.endupdate.enderite_tools")).icon(() -> new ItemStack(EndupdateModItems.ENDERITE_INGOT.get())).displayItems((parameters, tabData) -> {
				tabData.accept(EndupdateModItems.ENDERITE_SWORD.get());
				tabData.accept(EndupdateModItems.ENDERITE_AXE.get());
				tabData.accept(EndupdateModItems.ENDERITE_PICKAXE.get());
				tabData.accept(EndupdateModItems.ENDERITE_SHOVEL.get());
			}).withSearchBar().build());
	public static final RegistryObject<CreativeModeTab> ENTITIES = REGISTRY.register("entities",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.endupdate.entities")).icon(() -> new ItemStack(EndupdateModItems.END_GUARD_SPAWN_EGG.get())).displayItems((parameters, tabData) -> {
				tabData.accept(EndupdateModItems.END_GUARD_SPAWN_EGG.get());
			}).withSearchBar().build());
	public static final RegistryObject<CreativeModeTab> END_BLOCKS = REGISTRY.register("end_blocks",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.endupdate.end_blocks")).icon(() -> new ItemStack(EndupdateModBlocks.ENDER_GLASS.get())).displayItems((parameters, tabData) -> {
				tabData.accept(EndupdateModBlocks.END_MINE.get().asItem());
				tabData.accept(EndupdateModBlocks.PURPUR_GLOW.get().asItem());
				tabData.accept(EndupdateModBlocks.ENDER_GLASS.get().asItem());
			}).withSearchBar().build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {
			tabData.accept(EndupdateModItems.ENDERITE_ARMOR_HELMET.get());
			tabData.accept(EndupdateModItems.ENDERITE_ARMOR_CHESTPLATE.get());
			tabData.accept(EndupdateModItems.ENDERITE_ARMOR_LEGGINGS.get());
			tabData.accept(EndupdateModItems.ENDERITE_ARMOR_BOOTS.get());
		}
	}
}
