
package net.mcreator.endupdate.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.AxeItem;
import net.minecraft.world.entity.LivingEntity;

import net.mcreator.endupdate.procedures.EnderiteSwordLivingEntityIsHitWithToolProcedure;
import net.mcreator.endupdate.init.EndupdateModItems;

public class EnderiteAxeItem extends AxeItem {
	public EnderiteAxeItem() {
		super(new Tier() {
			public int getUses() {
				return 10070;
			}

			public float getSpeed() {
				return 20f;
			}

			public float getAttackDamageBonus() {
				return 12.1f;
			}

			public int getLevel() {
				return 5;
			}

			public int getEnchantmentValue() {
				return 21;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(EndupdateModItems.ENDERITE_INGOT.get()));
			}
		}, 1, -3.6f, new Item.Properties().fireResistant());
	}

	@Override
	public boolean hurtEnemy(ItemStack itemstack, LivingEntity entity, LivingEntity sourceentity) {
		boolean retval = super.hurtEnemy(itemstack, entity, sourceentity);
		EnderiteSwordLivingEntityIsHitWithToolProcedure.execute(entity);
		return retval;
	}
}
